vim 6.4 for OSX 10.3 and 10.4

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

vim 6.4 for OSX 10.3 and 10.4

Benji Fisher
Mac Vim fans:

     I have just uploaded binaries of vim 6.4 to http://macvim.org/OSX .
The one for 10.3 (Panther) includes support for cscope, ruby, perl,
python, and tcl.  The one for 10.4 (Tiger) includes all those except
ruby.  Even with "normal" features (instead of "huge") and no other
interfaces, the build fails when I try to add +ruby on 10.4.

     The most recent build of 6.3 on the site already has all but the
last dozen or so patches that went into 6.4, so this is not the most
major improvement ever.  If you do decide to try the latest version,
please let me know.  I should be able to label the builds of vim 6.4 as
"stable" pretty soon.

                                        --Benji Fisher
Reply | Threaded
Open this post in threaded view
|

Re: vim 6.4 for OSX 10.3 and 10.4

Bem Ajani Jones-Bey
On Oct 18, 2005, at 7:06, Benji Fisher wrote:

> Even with "normal" features (instead of "huge") and no other
> interfaces, the build fails when I try to add +ruby on 10.4.

I just recently built Vim 6.4 on Tiger with Ruby, and it worked for  
me. I think that the problem is that the Tiger Ruby configuration is  
somewhat broken. The rbconfig.rb has compiler flags that don't work  
with apple's shipped compiler.

The Ruby on Rails people have a fix for the problem, you can find  
more info here:
http://weblog.rubyonrails.com/archives/2005/04/30/fixing-ruby-on-os-x- 
tiger/

Installing the fixrbconfig gem worked for me, but if you don't want  
to use Gem, or want more information on what it does, I got my  
original information from this page when I was trying to get Rails to  
work:
http://wiki.rubyonrails.com/rails/pages/HowtoInstallOnOSXTiger#4

Hope this helps.

Peace,
     Bem
Reply | Threaded
Open this post in threaded view
|

Re: vim 6.4 for OSX 10.3 and 10.4

Benji Fisher
On Tue, Oct 18, 2005 at 08:24:55AM -0700, Bem Ajani Jones-Bey wrote:

> On Oct 18, 2005, at 7:06, Benji Fisher wrote:
>
> >Even with "normal" features (instead of "huge") and no other
> >interfaces, the build fails when I try to add +ruby on 10.4.
>
> I just recently built Vim 6.4 on Tiger with Ruby, and it worked for  
> me. I think that the problem is that the Tiger Ruby configuration is  
> somewhat broken. The rbconfig.rb has compiler flags that don't work  
> with apple's shipped compiler.
>
> The Ruby on Rails people have a fix for the problem, you can find  
> more info here:
> http://weblog.rubyonrails.com/archives/2005/04/30/fixing-ruby-on-os-x- 
> tiger/
>
> Installing the fixrbconfig gem worked for me, but if you don't want  
> to use Gem, or want more information on what it does, I got my  
> original information from this page when I was trying to get Rails to  
> work:
> http://wiki.rubyonrails.com/rails/pages/HowtoInstallOnOSXTiger#4
>
> Hope this helps.
>
> Peace,
>     Bem

Bem:

     Thanks for the pointers.  If this works, I will try to post a new
binary within a few days.  Is there anything we can add to the standard
vim distribution so that it works OOTB?  Maybe the problem will go away
when Apple releases 10.4.1.

                                        --Benji